ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009951ClearCenterapp-static-vpn-basic - Static VPN for Homepublic2016-08-10 07:492017-05-03 14:16
Reporterbchambers 
Assigned Totimb80 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version7.3.0 UpdatesFixed in Version7.2.0 Updates 
Summary0009951: Uncaught exception if ipsec not running
DescriptionIt's impossible to manage the static IPsec app if ipsec is not running...get an uncaught exception (see screenshot).

In this case, it was apparently due to an invalid configuration file that had to be deleted from the command line:

Contents of unmanged.conf file:

conn xxxx
 type=tunnel
 authby=secret
 pfs=yes
 auto=start
 left=x.x.x.x
 leftsourceip=192.168.1.1
 leftsubnet=192.168.1.0/24
 right=x.x.x.x
 rightsourceip=192.168.15.1
 rightsubnet=192.168.15.0/24

Log file error was:

Aug 10 16:42:04 xxxx addconn: ERROR: /etc/ipsec.d/ipsec.unmanaged.xxxx.conf: 2: keyword type, invalid value: tun

Not sure about that log message, as I don't see any 'tun' entry...tunnel???

Out of my pay-grade.
TagsNo tags attached.
Attached Filespng file icon ipsec_debug.png [^] (51,509 bytes) 2016-08-10 07:49

- Relationships

-  Notes
(0004421)
dcclayton (reporter)
2016-12-21 06:58

This issue also applies to the business edition.
(0004601)
timb80 (developer)
2017-01-22 16:21

Fixed in 2.0.16 - thanks for the feedback

- Issue History
Date Modified Username Field Change
2016-08-10 07:49 bchambers New Issue
2016-08-10 07:49 bchambers Status new => assigned
2016-08-10 07:49 bchambers Assigned To => timb80
2016-08-10 07:49 bchambers File Added: ipsec_debug.png
2016-11-08 09:07 pbaldwin Target Version 7.2.0 Updates => 7.3.0 Updates
2016-12-21 06:58 dcclayton Note Added: 0004421
2017-01-16 13:16 pbaldwin Project ClearOS => ClearCenter
2017-01-22 16:21 timb80 Note Added: 0004601
2017-05-03 14:16 pbaldwin Status assigned => resolved
2017-05-03 14:16 pbaldwin Fixed in Version => 7.2.0 Updates
2017-05-03 14:16 pbaldwin Resolution open => fixed
2017-05-03 14:16 pbaldwin Status resolved => closed